require 'date'

class Date

  # Returns the number of days in the date's month.
  #
  #   Date.new(2004,2).days_in_month #=> 28
  #
  #--
  # Credit goes to Ken Kunz.
  #++
  def days_in_month
     Date.civil(year, month, -1).day
  end

end



#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCDate < Test::Unit::TestCase

    def setup
      @d = Date.civil( 2005, 04, 20 )
    end

    def test_days_in_month
      assert_equal( 31, Date.new(2004,1,1).days_in_month )
    end

  end

=end
